diff --git a/README.md b/README.md
index 1cc7a49f87de9904c111547ac55f10ead93a9e01..d3d1ec5ddac0e0c3fdeba7e2a5afbdc012b2a027 100755
--- a/README.md
+++ b/README.md
@@ -32,9 +32,9 @@ Run
 
 Play
 
-    You can now point your browser to http://localhost:8080.
-    
-    To run Slurm jobs use partition "partition1"
+    rosetta/populate
+    # You can now point your browser to http://localhost:8080.
+    # To run Slurm jobs use partition "partition1"
 
 Clean
 
@@ -52,9 +52,10 @@ Example Webapp configuraion
       - ROSETTA_WEBAPP_PORT=8080
       - LOCAL_DOCKER_REGISTRY_HOST=
       - LOCAL_DOCKER_REGISTRY_PORT=5000
-      - DJANGO_EMAIL_APIKEY="<API KEY>"
-      - DJANGO_EMAIL_FROM="Rosetta Platform <notifications@rosetta.platform>
-      - DJANGO_PUBLIC_HTTP_HOST=http://localhost:8080 # Public facing, with shttp or https
+      - DJANGO_EMAIL_SERVICE=Sendgrid
+      - DJANGO_EMAIL_APIKEY=
+      - DJANGO_EMAIL_FROM="Rosetta <notifications@rosetta.local>"
+      - DJANGO_PUBLIC_HTTP_HOST=http://localhost # Public facing, with http or https
 
 
 
@@ -83,22 +84,16 @@ Django development server is running on port 8080 of the "webapp" service.
 
 To enable live code changes, add or comment out the following in docker-compose.yaml under the "volumes" section of the "webapp" service:
 
-    - ./services/webapp/code:/opt/webapp_code
+    - ./services/webapp/code:/opt/code
     
 This will mount the code from services/webapp/code as a volume inside the webapp container itself allowing to make immediately effective codebase edits.
 
-Note that when you edit the Django ORM model, you need to rerun the migrate the database, either by just rerunning the webapp service:
+Note that when you edit the Django ORM model, you need to make migrations and apply them to migrate the database:
 
-    $ rosetta/rerun webapp
+    $ rosetta/makemigrations
+    $ rosetta/migrate
 
-..ora by entering in the webapp service container and manually migrate:
 
-    $ rosetta/shell webapp
-    $ source /env.sh
-    $ source /db_conf.sh
-    $ cd /opt/webapp_code
-    $ python3 manage.py makemigrations
-    $ python3 manage.py migrate
     
 ### Logs and testing
 
@@ -110,13 +105,13 @@ Run Web App unit tests (with Rosetta running)
     
     $ rosetta/logs webapp server
     
-    $rosetta/tets
+    $ rosetta/test
 
     
 ## Known issues
 
     SINGULARITY_TMPDIR=/...
-    .singularity in user home
+    .singularity in user home with limited space
 
 
 
diff --git a/rosetta/makemigrations b/rosetta/makemigrations
new file mode 100755
index 0000000000000000000000000000000000000000..9e7ccedcc54645c37b86cf679d9f1472edc5a0fe
--- /dev/null
+++ b/rosetta/makemigrations
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+# Check if we are in the right place
+if [ ! -d ./services ]; then
+    echo "You must run this command from the project's root folder."
+    exit 1
+fi
+
+rosetta/shell webapp "cd /opt/code && source /env.sh && source /db_conf.sh && BACKEND_LOG_LEVEL=ERROR python3 manage.py makemigrations"
+
diff --git a/rosetta/migrate b/rosetta/migrate
new file mode 100755
index 0000000000000000000000000000000000000000..449dbb1adc0a9cce628ca9e0709a4cf9546800a8
--- /dev/null
+++ b/rosetta/migrate
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+# Check if we are in the right place
+if [ ! -d ./services ]; then
+    echo "You must run this command from the project's root folder."
+    exit 1
+fi
+
+rosetta/shell webapp "cd /opt/code && source /env.sh && source /db_conf.sh && BACKEND_LOG_LEVEL=ERROR python3 manage.py migrate"
diff --git a/rosetta/populate b/rosetta/populate
new file mode 100755
index 0000000000000000000000000000000000000000..04b42bb2fcb19ae4554caca12c4fa5543072e228
--- /dev/null
+++ b/rosetta/populate
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+# Check if we are in the right place
+if [ ! -d ./services ]; then
+    echo "You must run this command from the project's root folder."
+    exit 1
+fi
+
+rosetta/shell webapp "cd /opt/code && source /env.sh && source /db_conf.sh && BACKEND_LOG_LEVEL=ERROR python3 manage.py core_app_populate"